#include <bits/stdc++.h>
using namespace std;

ifstream fi ("dqnp.inp");
ofstream fo ("dqnp.out");

void cd(int n)
{
    if (n>0){
      cd(n/2);
      fo<<n%2;
    }
}

int main()
{ int n;
    fi>> n;
    cd(n);
    return 0;
}
